is it planned to get Entertainer for karmic?

Asked by Jan Schürmann on 2009-11-07

i know that Entertainer is a part time project, but is it possible to get a working version in the ppa for karmic?
i think it's a really good project for Linux on the whole, because a good and working media-center in Linux would be great ;-)

Question information

Language:
English Edit question
Status:
Answered
For:
Entertainer Media Center Edit question
Assignee:
No assignee Edit question
Last query:
2009-11-07
Last reply:
2009-11-10
Matt Layman (mblayman) said : #1

RUSirius,

Thanks for the encouraging words. I'd like to get Entertainer working again in Karmic too. I did some work on the breakage last night, but I ran into a major barrier.

The problem (as I mentioned in your previous question) is clutter. Entertainer's code is currently designed to run on the 0.8 version of clutter. The version of clutter in Karmic is 1.0 and some major changes occurred between 0.8 and 1.0 and I'm fixing those discrepancies in the Entertainer code. The unfortunate part is that some of the functionality that Entertainer needs is no longer packaged in the standard Ubuntu repositories. Between 0.8 and 1.0, the clutter team split their project into clutter's core and some clutter components. The functionality that Entertainer needs is the clutter gstreamer stuff which handles audio and video. However, the Python code for that functionality is not packaged. This means that if I want to get Entertainer running, I'm going to have to package that code first. And packaging unfamiliar software is time consuming and a pain in the butt.

In conclusion, I would love to get Entertainer working for Karmic, but there is a fair amount of work to do so I can't give any sort of timeline of when it would be available.

-Matt

thanks for your time answering my question.
i'm not a programmer but i can understand your problem.
for now i'm using XBMC but if Entertainer runs in karmic i think of switching...
thanks for now and good luck fixing the probs.

best regards

peter2007 (peter-m-eck) said : #3

I hope this is going to work. I installed Karmic mainly because of Entertainer - as it is not available for hardy in ppa. And now this... :(
Keep going Matt, the screenshots I saw made me looking forward to get entertainer.

Can you help with this problem?

Provide an answer of your own, or ask Jan Schürmann for more information if necessary.

To post a message you must log in.